Group eSign PDF (File)

/document/group/offline/file

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Send PDF to user using file with user identification. Declaration for identification template will be provided from our integration team.

Valid values:

ParameterValue
"signedfile"File bites. Already signed declaration for identification of the user.
"documents"Documents number between 2 and 20.

File name limitation: up to 100 characters. Forbidden symbols in the file name: <>:"/|?*'!#$%&+=.

Maximum allowed file size is 5 MB.
"checksumDocument"SHA-512 of the file
"description"max chars 4000
"certificateType""integer"
valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced еSign (qualified certificate); 3 - Advanced eSign (advanced certificate);
"coverage"For "certificateType"=1 valid values are: 0, 20000, 100000, 250000.
For "certificateType"=2 valid value is 500
For "certificateType"=3 valid value is 1
The amount is in €.
0 stands for unlimited. 1 stands for no coverage.
"annotationParameters": Optional. If used can appear up to 4 times."annotationText": mandatory, up to 255 symbols
"fontName": mandatory
"fontSize": mandatory. Must be a whole digit between 3 and 72
"fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black)
"axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter)
"asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter)
"page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number
"signInfo"
"algorithm"
"SHA256"
"signInfo""type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp), "XML1" (XML Baseline), "XML2" (XML Baseline + Long Term), "XML3" (XML Baseline), "XML4" (XML Baseline + Long Term), "CAD1" (Sign any file type), "CAD2" (Sign any file type with timestamp)
"user"If "country"=BG: "documentNumber", "identificationNumber", 3 names

If "country"=MK:
"documentNumber", "identificationNumber", "firstName" and "lastName".

If "country"= (diff than BG, MK):
"documentNumber", "firstName" and "lastName".

"country": Valid values are the ISO 3166-1 alpha-2 codes. Default value is "BG".

"firstName": "[A-Za-z' -]"
"middleName": It’s used only if the country is "BG". Allowed characters "[A-Za-z' -]"
"lastName": "[A-Za-z' -]"
"phone": "+[0-9]"
"email": Optional parameter. If provided the certificate and signed documents will be sent to it.
"language": "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk".
"documentType": Valid values are "IDcard", "Passport". Default value is "IDcard".
"documentType"Optional parameter. Valid values are "IDcard", "Passport". Default value is "IDcard".
"smsType"integer
valid values: 1 - code, 2 - link, 3 - code & link
"vendorNumber""string"
"urlCallback"Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used.
"publicKey"base64 encoded string of public key, necessary for encryption process
Body Params
json
required

JSON string with structure
{
"user": {
"country": "string",
"identificationNumber": "string",
"documentNumber": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"phone": "string",
"email": "string",
"language": "string",
"documentType": "string"
},
"document": {
"description": "string",
"coverage": 0,
"certificateType": 0,
"checksumDocument": "string",
"annotationParameters": [{
"annotationText": "string",
"fontName": "string",
"fontSize": "integer",
"fontColor": "string",
"axisX": "integer",
"axisY": "integer",
"page": "integer"
}]
},
"signInfo": {
"type": "string",
"algorithm": "string"
},
"vendorNumber": "string",
"smsType": 0,
"publicKey": "string",
"urlCallback": "string"
}

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json